io.vertx.ext.sql

## Class SQLOptions

- java.lang.Object
- - io.vertx.ext.sql.SQLOptions

-     public class SQLOptions
      extends Object

  Represents the options one can use to customize the unwrapped connection/statement/resultset types
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLOptions()` Default constructor
    `SQLOptions(JsonObject json)` Constructor from JSON
    `SQLOptions(SQLOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonArray` | `getAutoGeneratedKeysIndexes()`
    `String` | `getCatalog()`
    `FetchDirection` | `getFetchDirection()`
    `int` | `getFetchSize()`
    `int` | `getMaxRows()`
    `int` | `getQueryTimeout()`
    `ResultSetConcurrency` | `getResultSetConcurrency()`
    `ResultSetType` | `getResultSetType()`
    `String` | `getSchema()`
    `TransactionIsolation` | `getTransactionIsolation()`
    `boolean` | `isAutoGeneratedKeys()`
    `boolean` | `isReadOnly()`
    `SQLOptions` | `setAutoGeneratedKeys(boolean autoGeneratedKeys)`
    `SQLOptions` | `setAutoGeneratedKeysIndexes(JsonArray autoGeneratedKeysIndexes)`
    `SQLOptions` | `setCatalog(String catalog)`
    `SQLOptions` | `setFetchDirection(FetchDirection fetchDirection)`
    `SQLOptions` | `setFetchSize(int fetchSize)`
    `SQLOptions` | `setMaxRows(int maxRows)`
    `SQLOptions` | `setQueryTimeout(int queryTimeout)`
    `SQLOptions` | `setReadOnly(boolean readOnly)`
    `SQLOptions` | `setResultSetConcurrency(ResultSetConcurrency resultSetConcurrency)`
    `SQLOptions` | `setResultSetType(ResultSetType resultSetType)`
    `SQLOptions` | `setSchema(String schema)`
    `SQLOptions` | `setTransactionIsolation(TransactionIsolation transactionIsolation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLOptions

          public SQLOptions()

      Default constructor

    - #### SQLOptions

          public SQLOptions(SQLOptions other)

      Copy constructor
      Parameters:
        `other` - the result to copy

    - #### SQLOptions

          public SQLOptions(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the json

  - ### Method Detail

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public SQLOptions setReadOnly(boolean readOnly)

    - #### getCatalog

          public String getCatalog()

    - #### setCatalog

          public SQLOptions setCatalog(String catalog)

    - #### getTransactionIsolation

          public TransactionIsolation getTransactionIsolation()

    - #### setTransactionIsolation

          public SQLOptions setTransactionIsolation(TransactionIsolation transactionIsolation)

    - #### getResultSetType

          public ResultSetType getResultSetType()

    - #### setResultSetType

          public SQLOptions setResultSetType(ResultSetType resultSetType)

    - #### getResultSetConcurrency

          public ResultSetConcurrency getResultSetConcurrency()

    - #### setResultSetConcurrency

          public SQLOptions setResultSetConcurrency(ResultSetConcurrency resultSetConcurrency)

    - #### isAutoGeneratedKeys

          public boolean isAutoGeneratedKeys()

    - #### setAutoGeneratedKeys

          public SQLOptions setAutoGeneratedKeys(boolean autoGeneratedKeys)

    - #### getSchema

          public String getSchema()

    - #### setSchema

          public SQLOptions setSchema(String schema)

    - #### getQueryTimeout

          public int getQueryTimeout()

    - #### setQueryTimeout

          public SQLOptions setQueryTimeout(int queryTimeout)

    - #### getFetchDirection

          public FetchDirection getFetchDirection()

    - #### setFetchDirection

          public SQLOptions setFetchDirection(FetchDirection fetchDirection)

    - #### getFetchSize

          public int getFetchSize()

    - #### setFetchSize

          public SQLOptions setFetchSize(int fetchSize)

    - #### getAutoGeneratedKeysIndexes

          public JsonArray getAutoGeneratedKeysIndexes()

    - #### setAutoGeneratedKeysIndexes

          public SQLOptions setAutoGeneratedKeysIndexes(JsonArray autoGeneratedKeysIndexes)

    - #### getMaxRows

          public int getMaxRows()

    - #### setMaxRows

          public SQLOptions setMaxRows(int maxRows)

Copyright © 2021 Eclipse. All rights reserved.